Skip to content

Tighten RFC 7804 SCRAM message validation. - #897

Open
arturobernalg wants to merge 1 commit into
apache:masterfrom
arturobernalg:message_validation
Open

arturobernalg wants to merge 1 commit into
apache:masterfrom
arturobernalg:message_validation

Conversation

@arturobernalg

Copy link
Copy Markdown
Member

This change tightens SCRAM-SHA-256 validation for the initial authentication exchange according to RFC 5802, RFC 7677 and RFC 7804.

It adds stricter validation of SCRAM message structure and attributes, canonical Base64 encoding, strict UTF-8 decoding, duplicate parameter detection, and RFC-compliant handling of password preparation.

This change tightens SCRAM-SHA-256 validation for the initial authentication exchange according to RFC 5802, RFC 7677 and RFC 7804.

It adds stricter validation of SCRAM message structure and attributes, canonical Base64 encoding, strict UTF-8 decoding, duplicate parameter detection, and RFC-compliant handling of password preparation.
@arturobernalg
arturobernalg marked this pull request as ready for review October 21, 2026 16:49
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

None yet

Projects

None yet

Development

Successfully merging this pull request may close these issues.

1 participant